%define anolis_release 1
%global pypi_name zipp
%global source_git ac66fba5917fb7860f91cb251ac6cf838923a8abe89e059cc1988cb256d1
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.19.1
Release:        %{anolis_release}%{?dist}
Summary:        Backport of pathlib-compatible object wrapper for zip files
License:        MIT
URL:            https://github.com/jaraco/zipp
Source0:        https://files.pythonhosted.org/packages/4f/a1/%{source_git}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel pyproject-rpm-macros
BuildRequires:  python3dist(pytest) python3dist(jaraco-functools) 
%if %{with test}
python3dist(jaraco-test)
%endif

%description
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A pathlib-compatible Zipfile object wrapper. A backport of the Path object.

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%if %{with test}
sed -i "/import jaraco.itertools/d" tests/test_zipp.py
%endif

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with test}
%check
%pytest -k "not test_joinpath_constant_time"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Thu Oct 31 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.19.1-1
- update to 3.19.1
- fix CVE-2024-5569

* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 3.15.0-2
- Rebuild with python3.11

* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 3.15.0-1
- package init from upstream
